Extending Qt Creator Manual | KeywordsCompletionAssistProcessor

Extending Qt Creator Manual 4.3.0

# KeywordsCompletionAssistProcessor Class

(TextEditor::KeywordsCompletionAssistProcessor)

Inherits: | TextEditor::IAssistProcessor

- List of all members, including inherited members

## Public Functions

| KeywordsCompletionAssistProcessor(Keywords keywords)
void | setSnippetGroup(const QString &id)
QChar | startOfCommentChar() const

- 6 public functions inherited from TextEditor::IAssistProcessor

## Protected Functions

void | setKeywords(Keywords keywords)

## Member Function Documentation

### KeywordsCompletionAssistProcessor::KeywordsCompletionAssistProcessor(Keywords keywords)

Default constructs an instance of KeywordsCompletionAssistProcessor.

### `[protected]` void KeywordsCompletionAssistProcessor::setKeywords(Keywords keywords)

### void KeywordsCompletionAssistProcessor::setSnippetGroup(const QString &id)

### QChar KeywordsCompletionAssistProcessor::startOfCommentChar() const